# Uses of Class
org.apache.sling.testing.mock.osgi.context.OsgiContextImpl

Packages that use OsgiContextImpl
Package
Description
org.apache.sling.testing.mock.osgi.config
OSGi Config Type Parameters core implementation.
org.apache.sling.testing.mock.osgi.context
OSGi context implementation for unit tests.

## Uses of OsgiContextImpl in org.apache.sling.testing.mock.osgi.config

Constructors in org.apache.sling.testing.mock.osgi.config with parameters of type OsgiContextImpl
Modifier
Constructor
Description
``
`ConfigTypeContext(OsgiContextImpl osgiContext)`

## Uses of OsgiContextImpl in org.apache.sling.testing.mock.osgi.context

Classes in org.apache.sling.testing.mock.osgi.context with type parameters of type OsgiContextImpl
Modifier and Type
Class
Description
`class`
`AbstractContextPlugin<T extends OsgiContextImpl>`
Default implementation of `ContextPlugin`.
`interface`
`ContextCallback<T extends OsgiContextImpl>`
Callback interface for application-specific setup and teardown operations to customize the mock context.
`interface`
`ContextPlugin<T extends OsgiContextImpl>`
Callback plugin for application-specific setup and teardown operations to customize the mock context.
Methods in org.apache.sling.testing.mock.osgi.context with type parameters of type OsgiContextImpl
Modifier and Type
Method
Description
`<T extends OsgiContextImpl>
void`
ContextPlugins.`executeAfterSetUpCallback(T context)`
Execute all after setup callbacks.
`<T extends OsgiContextImpl>
void`
ContextPlugins.`executeAfterTearDownCallback(T context)`
Execute all after teardown callbacks.
`<T extends OsgiContextImpl>
void`
ContextPlugins.`executeBeforeSetUpCallback(T context)`
Execute all before setup callbacks.
`<T extends OsgiContextImpl>
void`
ContextPlugins.`executeBeforeTearDownCallback(T context)`
Execute all before teardown callbacks.
Methods in org.apache.sling.testing.mock.osgi.context that return types with arguments of type OsgiContextImpl
Modifier and Type
Method
Description
`@NotNull Collection<ContextPlugin<? extends OsgiContextImpl>>`
ContextPlugins.`getPlugins()`